<?php
class Magento1_FeedbackCompany_Block_Catalog_Product_Review extends Mage_Core_Block_Template
{
    private $config = null;
    private $extended = true;

    public function getTemplate()
    {
        $config = $this->getFeedbackCompanyConfig();

        $store_locale_code = Mage::app()->getLocale()->getLocaleCode();
        $active_language = $config->getData('active_language');

        if ($active_language !== 'all' && $store_locale_code !== $active_language) {
            return '';
        }

        $template = parent::getTemplate();
        if (!$template) {
            $this->extended = false;
            $template = 'feedbackcompany/catalog/product/review.phtml';
        }

        return $template;
    }

    public function getWidgetUuid()
    {
        $config = $this->getFeedbackCompanyConfig();
        if ('none' == $config->getData('product_reviews_widget_extended_display_type')) {
            return '';
        }

        $summary = $config->getData('product_reviews_summary_widget_uuid');
        $extended = $config->getData('product_reviews_extended_widget_uuid');

        return $this->extended ? $extended : $summary;
    }

    public function getProductInstance()
    {
        $product = null;
        if (Mage::registry('current_product')) {
            $product = Mage::registry('current_product');
        } elseif ($this->getProduct()) {
            $product = $this->getProduct();
        }

        return $product;
    }

    private function getFeedbackCompanyConfig()
    {
        if (!$this->config) {
            $configModel = Mage::getModel('magento1_feedbackcompany/options');
            $this->config = $configModel->loadConfig();
        }

        return $this->config;
    }
}
