<?php
class Magento1_FeedbackCompany_Block_Rewrite_Review_Helper extends Mage_Review_Block_Helper
{
    private $config = null;

    public function getSummaryHtml($product, $templateType, $displayIfNoReviews)
    {
        $config = $this->getFeedbackCompanyConfig();

        if (!$config || !$config->getId()) {
            return parent::getSummaryHtml($product, $templateType, $displayIfNoReviews);
        }

        $this->setDisplayIfEmpty(true);
        $productReview = $this->getLayout()->createBlock('magento1_feedbackcompany/catalog_product_review')
            ->setProduct($product)
            ->toHtml();

        return $productReview;
    }

    private function getFeedbackCompanyConfig()
    {
        if (!$this->config) {
            $configModel = Mage::getModel('magento1_feedbackcompany/options');
            $this->config = $configModel->loadConfig();
        }

        return $this->config;
    }
}
