<?php
class Magento1_FeedbackCompany_Block_Widget extends Mage_Core_Block_Template implements Mage_Widget_Block_Interface
{
    private $configModel = false;

    public function getTemplate()
    {
        $config = $this->getConfigModel();

        $store_locale_code = Mage::app()->getLocale()->getLocaleCode();
        $active_language = $config->getData('active_language');

        if ($active_language !== 'all' && $store_locale_code !== $active_language) {
            return '';
        }

        $template = parent::getTemplate();
        if (!$template) {
            $template = 'feedbackcompany/widget.phtml';
        }

        return $template;
    }

    public function getConfigModel()
    {
        if (!$this->configModel) {
            $this->configModel = Mage::getModel('magento1_feedbackcompany/options');
            $this->configModel->loadConfig();
        }

        return $this->configModel;
    }

    public function getWidgetUuid()
    {
        $widgetUuid = false;
        $config = $this->getConfigModel();

        switch ($this->getType()) {
            case 'main':
                $widgetUuid = $config->getData('merchant_reviews_widget_uuid');
                break;
            // case 'buysmart':
            //     $widgetUuid = $config->getData('buysmart_widget_uuid');
            //     break;
        }
        return $widgetUuid;
    }
}
