<?php
class Magento1_FeedbackCompany_Model_Observer
{

    /**
     * Process order to feedback company
     *
     * @return $this
     */
    public function processOrderItems(Varien_Event_Observer $observer)
    {
        /* @var Mage_Sales_Model_Order $order */
        $order = $observer->getEvent()->getOrder();
        $configModel = Mage::getModel('magento1_feedbackcompany/options');
        $configModel->loadConfig();

        $store_locale_code = $order->getStore()->getConfig('general/locale/code');
        $active_language = $configModel->getData('active_language');
        $matching_order_language = $active_language === 'all' || $active_language === $store_locale_code;

        $state = $configModel->getData('order_registration_trigger');
        $matching_order_status = !empty($state) && $order->getState() == $state && $order->getOrigData('state') != $state;

        if ($matching_order_language && $matching_order_status) {
            $configModel->registerOrder($order);
        }

        return $this;
    }
}
