<?php

/* @var $installer Mage_Core_Model_Resource_Setup */
$installer = $this;
$installer->startSetup();

try {
    $table = $installer->getConnection()
        ->newTable($installer->getTable('magento1_feedbackcompany/options'))
        ->addColumn('id', Varien_Db_Ddl_Table::TYPE_INTEGER, null, array(
            'identity'  => true,
            'unsigned'  => true,
            'nullable'  => false,
            'primary'   => true,
        ), 'Option ID')
        ->addColumn('access_token', Varien_Db_Ddl_Table::TYPE_TEXT, '64', array(
            'nullable'  => false,
            'default'   => '',
        ), 'FeedbackCompany Access Token')
        ->addColumn('client_id', Varien_Db_Ddl_Table::TYPE_TEXT, '32', array(
            'nullable'  => false,
            'default'   => '',
        ), 'FeedbackCompany Client ID')
        ->addColumn('client_secret', Varien_Db_Ddl_Table::TYPE_TEXT, '32', array(
            'nullable'  => false,
            'default'   => '',
        ), 'FeedbackCompany Client Secret')
        ->addColumn('order_registration_trigger', Varien_Db_Ddl_Table::TYPE_TEXT, '255', array(
            'nullable'  => false,
            'default'   => '',
        ), 'FeedbackCompany Order Registration Trigger')
        ->addColumn('review_invitation_delay_period', Varien_Db_Ddl_Table::TYPE_TEXT, '32', array(
            'nullable'  => true,
        ), 'FeedbackCompany Review Invitation Delay Period')
        ->addColumn('review_invitation_delay_amount', Varien_Db_Ddl_Table::TYPE_INTEGER, 11, array(
            'unsigned'  => true,
            'nullable'  => false,
            'default'   => '0',
        ), 'FeedbackCompany Review Invitation Delay Amount')
        ->addColumn('review_invitation_reminder_delay_period', Varien_Db_Ddl_Table::TYPE_TEXT, '32', array(
            'nullable'  => true
        ), 'FeedbackCompany Review Invitation Reminder Delay Period')
        ->addColumn('review_invitation_reminder_delay_amount', Varien_Db_Ddl_Table::TYPE_INTEGER, 11, array(
            'unsigned'  => true,
            'nullable'  => false,
            'default'   => '0',
        ), 'FeedbackCompany Review Invitation Reminder Delay Amount')
        ->addColumn('merchant_reviews_widget_size', Varien_Db_Ddl_Table::TYPE_TEXT, '32', array(
            'nullable'  => true
        ), 'FeedbackCompany Merchant Reviews Widget Size')
        ->addColumn('merchant_reviews_widget_amount_of_reviews', Varien_Db_Ddl_Table::TYPE_INTEGER, 11, array(
            'unsigned'  => true,
            'nullable'  => false,
            'default'   => '0',
        ), 'FeedbackCompany Merchant Reviews Widget Amount Of Reviews')
        ->addColumn('buysmart_widget_color', Varien_Db_Ddl_Table::TYPE_TEXT, '32', array(
            'nullable'  => true
        ), 'FeedbackCompany Buysmart Widget Color')
        ->addColumn('product_reviews_widget_extended_display_type', Varien_Db_Ddl_Table::TYPE_TEXT, '32', array(
            'nullable'  => true
        ), 'FeedbackCompany Product Reviews Widget Extended Display Type')
        ->addColumn('merchant_reviews_widget_uuid', Varien_Db_Ddl_Table::TYPE_TEXT, '36', array(
            'nullable'  => true
        ), 'FeedbackCompany Merchant Reviews Widget Uuid')
        ->addColumn('product_reviews_summary_widget_uuid', Varien_Db_Ddl_Table::TYPE_TEXT, '36', array(
            'nullable'  => true
        ), 'FeedbackCompany Product Reviews Widget Uuid')
        ->addColumn('product_reviews_extended_widget_uuid', Varien_Db_Ddl_Table::TYPE_TEXT, '36', array(
            'nullable'  => true
        ), 'FeedbackCompany Product Reviews Extended Widget Uuid')
        ->setComment('FeedbackCompany config options table');

    $installer->getConnection()->createTable($table);

} catch (Zend_Db_Exception $e) {
    Mage::logException($e);
}

$installer->endSetup();
